| Home | Libraries | People | FAQ | More

## Struct template FinderConcept

boost::algorithm::FinderConcept — Finder concept.

## Synopsis

    // In header: <boost/algorithm/string/concept.hpp>

    template<typename FinderT, typename IteratorT>
    struct FinderConcept {

      // public member functions
      void constraints() ;
    };

## Description

Defines the Finder concept. Finder is a functor which selects an arbitrary part of a string. Search is performed on the range specified by starting and ending iterators.

Result of the find operation must be convertible to iterator_range.

### `FinderConcept` public member functions

1.     void constraints() ;